> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RFP performance (REST mirror of get_rfp_performance)



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/rfp-performance
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/rfp-performance:
    get:
      tags:
        - Demand Inbox
      summary: RFP performance (REST mirror of get_rfp_performance)
      operationId: getStorefrontRfpPerformance
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          range:
                            type: object
                            properties:
                              startDate:
                                type: string
                                pattern: ^\d{4}-\d{2}-\d{2}$
                              endDate:
                                type: string
                                pattern: ^\d{4}-\d{2}-\d{2}$
                            required:
                              - startDate
                              - endDate
                            additionalProperties: false
                          metrics:
                            type: array
                            items:
                              type: object
                              properties:
                                key:
                                  type: string
                                  enum:
                                    - win_rate
                                    - booked_budget
                                    - average_grade
                                    - buyer_response_rate
                                    - acceptance_rate
                                    - average_processing_latency_ms
                                label:
                                  type: string
                                value:
                                  type:
                                    - number
                                    - 'null'
                                display:
                                  type: string
                                unavailable:
                                  type: boolean
                              required:
                                - key
                                - label
                                - value
                                - display
                                - unavailable
                              additionalProperties: false
                          bookedBudget:
                            anyOf:
                              - type: object
                                properties:
                                  amount:
                                    type: string
                                    pattern: ^-?\d+(\.\d{1,6})?$
                                  currency:
                                    type: string
                                    pattern: ^[A-Z]{3}$
                                required:
                                  - amount
                                  - currency
                                additionalProperties: false
                              - type: 'null'
                        required:
                          - range
                          - metrics
                          - bookedBudget
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````